- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# GeneralStatus Class Reference

The GeneralStatus Class. More...

`#include <OSResult.h>`

Collaboration diagram for GeneralStatus:

[legend]
List of all members.

## Public Member Functions
| GeneralStatus ()
| Default constructor.
| ~GeneralStatus ()
| Class destructor.
bool | IsEqual (GeneralStatus *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
| GeneralStatus ()
| Default constructor.
| ~GeneralStatus ()
| Class destructor.
## Public Attributes
int | numberOfSubstatuses
| the number of substatuses
std::string | type
| the type of status
std::string | description
| the description of the status
GeneralSubstatus ** | substatus
| the array of substatuses
std::vector< GeneralSubstatus * > | substatus
| the array of substatuses

## Detailed Description

The GeneralStatus Class.

Author:
  Robert Fourer, Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  A data structure class that corresponds to an xml element in the OSrL schema.

Definition at line 103 of file OSResult.h.

## Constructor & Destructor Documentation

GeneralStatus::GeneralStatus | ( |  | ) |

Default constructor.

Definition at line 54 of file OSResult.cpp.

GeneralStatus::~GeneralStatus | ( |  | ) |

Class destructor.

Definition at line 65 of file OSResult.cpp.

References numberOfSubstatuses, and substatus.

GeneralStatus::GeneralStatus | ( |  | ) |

Default constructor.

GeneralStatus::~GeneralStatus | ( |  | ) |

Class destructor.

## Member Function Documentation

bool GeneralStatus::IsEqual | ( | GeneralStatus * | that | ) |

A function to check for the equality of two objects.

Definition at line 5396 of file OSResult.cpp.

bool GeneralStatus::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 7318 of file OSResult.cpp.

References GeneralSubstatus::setRandom(), and substatus.

Referenced by GeneralResult::setRandom().

## Member Data Documentation

int GeneralStatus::numberOfSubstatuses

the number of substatuses

Definition at line 108 of file OSResult.h.

Referenced by OSResult::setNumberOfGeneralSubstatuses(), OSrLWriter::writeOSrL(), and ~GeneralStatus().

std::string GeneralStatus::type

the type of status

Definition at line 111 of file OSResult.h.

Referenced by OSrLWriter::writeOSrL().

std::string GeneralStatus::description

the description of the status

Definition at line 114 of file OSResult.h.

Referenced by OSrLWriter::writeOSrL().

GeneralSubstatus** GeneralStatus::substatus

the array of substatuses

Definition at line 117 of file OSResult.h.

Referenced by OSResult::setNumberOfGeneralSubstatuses(), setRandom(), OSrLWriter::writeOSrL(), and ~GeneralStatus().

std::vector<GeneralSubstatus*> GeneralStatus::substatus

the array of substatuses

Definition at line 84 of file OSResult.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.cpp
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.cpp